/usr/local/google/home/srhines/android_trees/jb-mr2-dev/frameworks/rs/scriptc/rs_object.rsh File Reference

- Overview
- Globals
- Structs

Functions
/usr/local/google/home/srhines/android_trees/jb-mr2-dev/frameworks/rs/scriptc/rs_object.rsh File Reference

## Functions
void | rsSetObject (rs_element *dst, rs_element src)
void | rsSetObject (rs_type *dst, rs_type src)
void | rsSetObject (rs_allocation *dst, rs_allocation src)
void | rsSetObject (rs_sampler *dst, rs_sampler src)
void | rsSetObject (rs_script *dst, rs_script src)
void | rsSetObject (rs_path *dst, rs_path src)
void | rsSetObject (rs_mesh *dst, rs_mesh src)
void | rsSetObject (rs_program_fragment *dst, rs_program_fragment src)
void | rsSetObject (rs_program_vertex *dst, rs_program_vertex src)
void | rsSetObject (rs_program_raster *dst, rs_program_raster src)
void | rsSetObject (rs_program_store *dst, rs_program_store src)
void | rsSetObject (rs_font *dst, rs_font src)
void | rsClearObject (rs_element *dst)
void | rsClearObject (rs_type *dst)
void | rsClearObject (rs_allocation *dst)
void | rsClearObject (rs_sampler *dst)
void | rsClearObject (rs_script *dst)
void | rsClearObject (rs_path *dst)
void | rsClearObject (rs_mesh *dst)
void | rsClearObject (rs_program_fragment *dst)
void | rsClearObject (rs_program_vertex *dst)
void | rsClearObject (rs_program_raster *dst)
void | rsClearObject (rs_program_store *dst)
void | rsClearObject (rs_font *dst)
bool | rsIsObject (rs_element)
bool | rsIsObject (rs_type)
bool | rsIsObject (rs_allocation)
bool | rsIsObject (rs_sampler)
bool | rsIsObject (rs_script)
bool | rsIsObject (rs_path)
bool | rsIsObject (rs_mesh)
bool | rsIsObject (rs_program_fragment)
bool | rsIsObject (rs_program_vertex)
bool | rsIsObject (rs_program_raster)
bool | rsIsObject (rs_program_store)
bool | rsIsObject (rs_font)

## Detailed Description

Object routines.

Definition in file rs_object.rsh.

## Function Documentation

void rsClearObject | ( | rs_element * | dst | ) |

Sets the object to NULL.

Returns:
  bool

void rsClearObject | ( | rs_type * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_allocation * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_sampler * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_script * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_path * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_mesh * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_program_fragment * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_program_vertex * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_program_raster * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_program_store * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsClearObject | ( | rs_font * | dst | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_element |  | ) |

Tests if the object is valid. Returns true if the object is valid, false if it is NULL.

Returns:
  bool

bool rsIsObject | ( | rs_type |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_allocation |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_sampler |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_script |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_path |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_mesh |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_program_fragment |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_program_vertex |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_program_raster |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_program_store |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

bool rsIsObject | ( | rs_font |  | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_element * | dst,
|  | rs_element | src
| ) |  |

Copy reference to the specified object.

Parameters:

  dst |
  src |

void rsSetObject | ( | rs_type * | dst,
|  | rs_type | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_allocation * | dst,
|  | rs_allocation | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_sampler * | dst,
|  | rs_sampler | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_script * | dst,
|  | rs_script | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_path * | dst,
|  | rs_path | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_mesh * | dst,
|  | rs_mesh | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_program_fragment * | dst,
|  | rs_program_fragment | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_program_vertex * | dst,
|  | rs_program_vertex | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_program_raster * | dst,
|  | rs_program_raster | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_program_store * | dst,
|  | rs_program_store | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

void rsSetObject | ( | rs_font * | dst,
|  | rs_font | src
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.